Skip to main content
`Ctrl`+`K`

# DMGetCellCoordinatesLocalNoncollective

Non-collective version of `DMGetCellCoordinatesLocal()`. Fails if global cellwise coordinates have been set and `DMGetCellCoordinatesLocalSetUp()` not called.

## Synopsis

    #include "petscdm.h"
    PetscErrorCode DMGetCellCoordinatesLocalNoncollective(DM dm, Vec *c)

Not Collective

## Input Parameter

- dm - the `DM`

## Output Parameter

- c - cellwise coordinate vector

## See Also

`DM`, `DMGetCellCoordinatesLocalSetUp()`, `DMGetCellCoordinatesLocal()`, `DMSetCellCoordinatesLocal()`, `DMGetCellCoordinates()`, `DMSetCellCoordinates()`, `DMGetCellCoordinateDM()`

## Level

advanced

## Location

src/dm/interface/dmcoordinates.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages